#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 crypto-api-tests
version:              0.3
visibility:           public
id:                   crypto-api-tests-0.3-ATQDQiKuiJS8h34VWnj9Nb
key:                  crypto-api-tests-0.3-ATQDQiKuiJS8h34VWnj9Nb
license:              BSD-3-Clause
copyright:            Thomas DuBuisson <thomas.dubuisson@gmail.com>
maintainer:           Thomas DuBuisson <thomas.dubuisson@gmail.com>
author:               Thomas DuBuisson <thomas.dubuisson@gmail.com>
stability:            stable
homepage:             http://trac.haskell.org/crypto-api/wiki
synopsis:             A test framework and KATs for cryptographic operations.
description:
    A test framework for hash and cipher operations using
    the crypto-api interface.  Known answer tests (KATs)
    for common cryptographic algorithms are included.
    Patches welcome (both adding KATs for more algorithms
    or property tests for classes of algorithms).

category:             Data, Cryptography
abi:                  3878c6c7012792aaa05195209a631c3f
exposed:              True
exposed-modules:
    Test.AES Test.Crypto Test.HMAC Test.MD5 Test.ParseNistKATs Test.SHA
    Test.TwoFish

hidden-modules:       Paths_crypto_api_tests
import-dirs:          /usr/lib/ghc-8.8.2/site-local/crypto-api-tests-0.3
library-dirs:         /usr/lib/ghc-8.8.2/site-local/crypto-api-tests-0.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.8.2/crypto-api-tests-0.3
hs-libraries:         HScrypto-api-tests-0.3-ATQDQiKuiJS8h34VWnj9Nb
depends:
    HUnit-1.6.0.0-82Oeq4zGJ5SXDJrZFa63t
    QuickCheck-2.13.2-HbRsdFWrxFG44Ibfjir4Lf base-4.13.0.0
    bytestring-0.10.10.0 cereal-0.5.8.1-4ELvUVAvdXS1XtXORHyQWs
    crypto-api-0.13.3-C5w78A3CW33UPNf3e76TZ directory-1.3.4.0
    filepath-1.4.2.1 test-framework-0.8.2.0-9XXFSyci545PUosH2JNwN
    test-framework-hunit-0.3.0.2-JrQpv6SjoLip5sARshHOf
    test-framework-quickcheck2-0.3.0.5-745zeHIQudQ4TJI59Wz8kg

haddock-interfaces:
    /usr/share/doc/haskell-crypto-api-tests/html/crypto-api-tests.haddock

haddock-html:         /usr/share/doc/haskell-crypto-api-tests/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

